%define api_version 1.0
%define pkg_name geronimo-jaspic_%{api_version}_spec
Name:          geronimo-jaspic-1.0-api
Version:       1.0
Release:       %mkrel 1
Summary:       Java Authentication SPI for Containers
License:       ASL 2.0
Group:         Development/Java
URL:           http://geronimo.apache.org/
Source0:       http://repo2.maven.org/maven2/org/apache/geronimo/specs/%{pkg_name}/%{version}/%{pkg_name}-%{version}-source-release.tar.gz

Patch0:        geronimo-jaspic-1.0-api-1.0-use_parent_pom.patch

BuildRequires: geronimo-parent-poms
BuildRequires: jpackage-utils
BuildRequires: java-devel

BuildRequires: maven
BuildRequires: maven-plugin-bundle

Requires:      java
Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
BuildArch:     noarch

%description
Java Authentication Service Provider Interface for Containers (JSR-196) api.

%package javadoc
Group:          Development/Java
Summary:        Javadoc for %{name}

%description javadoc
Geronimo Java Authentication SPI for Containers.

This package contains javadoc for %{name}.

%prep
%setup -q -n %{pkg_name}-%{version}

for d in LICENSE NOTICE ; do
  iconv -f iso8859-1 -t utf-8 $d > $d.conv && mv -f $d.conv $d
  sed -i 's/\r//' $d
done
%patch0 -p0
%build

mvn-rpmbuild install javadoc:aggregate

%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

mkdir -p %{buildroot}%{_javadir}
install -m 644 target/%{pkg_name}-%{version}.jar \
  %{buildroot}%{_javadir}/geronimo-jaspic-%{api_version}-api-%{version}.jar

(
  cd %{buildroot}%{_javadir}/
  ln -sf geronimo-jaspic-%{api_version}-api-%{version}.jar geronimo-jaspic-%{api_version}-api.jar
)

mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-geronimo-jaspic-%{api_version}-api.pom
%add_maven_depmap JPP-geronimo-jaspic-%{api_version}-api.pom geronimo-jaspic-%{api_version}-api.jar

mkdir -p %{buildroot}%{_javadocdir}/geronimo-jaspic-%{api_version}-api
cp -pr target/site/apidocs/* %{buildroot}%{_javadocdir}/geronimo-jaspic-%{api_version}-api

%clean
[ %{buildroot} != / ] && rm -rf %{buildroot}

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_javadir}/geronimo-jaspic-%{api_version}-api-%{version}.jar
%{_javadir}/geronimo-jaspic-1.0-api.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%doc LICENSE NOTICE

%files javadoc
%{_javadocdir}/geronimo-jaspic-%{api_version}-api


%changelog

* Fri Nov 11 2011 gil <gil> 1.0-1.mga2
+ Revision: 166501
- imported package geronimo-jaspic-1.0-api

